module subsys_dp_bitec_dp_0 #(
		parameter TX_SUPPORT_GTC            = 0,
		parameter TX_SUPPORT_18BPP          = 1,
		parameter TX_SUPPORT_24BPP          = 1,
		parameter TX_SUPPORT_30BPP          = 0,
		parameter TX_SUPPORT_36BPP          = 0,
		parameter TX_SUPPORT_48BPP          = 0,
		parameter TX_SUPPORT_YCBCR422_16BPP = 1,
		parameter TX_SUPPORT_YCBCR422_20BPP = 0,
		parameter TX_SUPPORT_YCBCR422_24BPP = 0,
		parameter TX_SUPPORT_YCBCR422_32BPP = 0,
		parameter TX_SUPPORT_YCBCR420_12BPP = 1,
		parameter TX_SUPPORT_YCBCR420_15BPP = 0,
		parameter TX_SUPPORT_YCBCR420_18BPP = 0,
		parameter TX_SUPPORT_YCBCR420_24BPP = 0,
		parameter TX_SUPPORT_DP             = 1,
		parameter RX_SUPPORT_GTC            = 0,
		parameter RX_SUPPORT_EDP            = 0,
		parameter RX_SUPPORT_18BPP          = 1,
		parameter RX_SUPPORT_24BPP          = 1,
		parameter RX_SUPPORT_30BPP          = 0,
		parameter RX_SUPPORT_36BPP          = 0,
		parameter RX_SUPPORT_48BPP          = 0,
		parameter RX_SUPPORT_YCBCR422_16BPP = 0,
		parameter RX_SUPPORT_YCBCR422_20BPP = 0,
		parameter RX_SUPPORT_YCBCR422_24BPP = 0,
		parameter RX_SUPPORT_YCBCR422_32BPP = 0,
		parameter RX_SUPPORT_YCBCR420_12BPP = 0,
		parameter RX_SUPPORT_YCBCR420_15BPP = 0,
		parameter RX_SUPPORT_YCBCR420_18BPP = 0,
		parameter RX_SUPPORT_YCBCR420_24BPP = 0,
		parameter RX_SUPPORT_DP             = 0
	) (
		input  wire         aux_clk,                 //            aux_clk.clk
		input  wire         aux_reset,               //          aux_reset.reset
		input  wire         clk,                     //                clk.clk
		input  wire         clk_cal,                 //            clk_cal.clk
		input  wire         reset,                   //              reset.reset
		output wire         rx_analog_reconfig_req,  // rx_analog_reconfig.rx_analog_reconfig_req
		output wire [7:0]   rx_vod,                  //                   .rx_vod
		output wire [7:0]   rx_emp,                  //                   .rx_emp
		output wire         tx_analog_reconfig_req,  // tx_analog_reconfig.tx_analog_reconfig_req
		input  wire         tx_analog_reconfig_ack,  //                   .tx_analog_reconfig_ack
		input  wire         tx_analog_reconfig_busy, //                   .tx_analog_reconfig_busy
		output wire [7:0]   tx_vod,                  //                   .tx_vod
		output wire [7:0]   tx_emp,                  //                   .tx_emp
		input  wire         tx_aux_in,               //             tx_aux.tx_aux_in
		output wire         tx_aux_out,              //                   .tx_aux_out
		output wire         tx_aux_oe,               //                   .tx_aux_oe
		input  wire         tx_hpd,                  //                   .tx_hpd
		output wire [31:0]  tx_aux_debug_data,       //       tx_aux_debug.data
		output wire         tx_aux_debug_valid,      //                   .valid
		output wire         tx_aux_debug_sop,        //                   .startofpacket
		output wire         tx_aux_debug_eop,        //                   .endofpacket
		output wire         tx_aux_debug_err,        //                   .error
		output wire         tx_aux_debug_cha,        //                   .channel
		input  wire [8:0]   tx_mgmt_address,         //            tx_mgmt.address
		input  wire         tx_mgmt_chipselect,      //                   .chipselect
		input  wire         tx_mgmt_read,            //                   .read
		input  wire         tx_mgmt_write,           //                   .write
		input  wire [31:0]  tx_mgmt_writedata,       //                   .writedata
		output wire [31:0]  tx_mgmt_readdata,        //                   .readdata
		output wire         tx_mgmt_waitrequest,     //                   .waitrequest
		output wire         tx_mgmt_irq,             //  tx_mgmt_interrupt.irq
		output wire [1:0]   tx_link_rate,            //        tx_reconfig.tx_link_rate
		output wire [7:0]   tx_link_rate_8bits,      //                   .tx_link_rate_8bits
		output wire         tx_reconfig_req,         //                   .tx_reconfig_req
		input  wire         tx_reconfig_ack,         //                   .tx_reconfig_ack
		input  wire         tx_reconfig_busy,        //                   .tx_reconfig_busy
		input  wire         tx_vid_clk,              //         tx_vid_clk.clk
		input  wire [23:0]  tx_vid_data,             //        tx_video_in.tx_vid_data
		input  wire [0:0]   tx_vid_v_sync,           //                   .tx_vid_v_sync
		input  wire [0:0]   tx_vid_h_sync,           //                   .tx_vid_h_sync
		input  wire [0:0]   tx_vid_de,               //                   .tx_vid_de
		output wire [159:0] tx_parallel_data,        //  tx_xcvr_interface.tx_parallel_data
		output wire         tx_pll_powerdown,        //                   .tx_pll_powerdown
		output wire [3:0]   tx_analogreset,          //                   .tx_analogreset
		output wire [3:0]   tx_digitalreset,         //                   .tx_digitalreset
		input  wire [3:0]   tx_cal_busy,             //                   .tx_cal_busy
		input  wire [3:0]   tx_std_clkout,           //                   .tx_std_clkout
		input  wire         tx_pll_locked,           //                   .tx_pll_locked
		input  wire         xcvr_mgmt_clk            //      xcvr_mgmt_clk.clk
	);
endmodule

