	component subsys_dp_bitec_dp_0 is
		generic (
			TX_SUPPORT_GTC            : integer := 0;
			TX_SUPPORT_18BPP          : integer := 1;
			TX_SUPPORT_24BPP          : integer := 1;
			TX_SUPPORT_30BPP          : integer := 0;
			TX_SUPPORT_36BPP          : integer := 0;
			TX_SUPPORT_48BPP          : integer := 0;
			TX_SUPPORT_YCBCR422_16BPP : integer := 0;
			TX_SUPPORT_YCBCR422_20BPP : integer := 0;
			TX_SUPPORT_YCBCR422_24BPP : integer := 0;
			TX_SUPPORT_YCBCR422_32BPP : integer := 0;
			TX_SUPPORT_YCBCR420_12BPP : integer := 0;
			TX_SUPPORT_YCBCR420_15BPP : integer := 0;
			TX_SUPPORT_YCBCR420_18BPP : integer := 0;
			TX_SUPPORT_YCBCR420_24BPP : integer := 0;
			TX_SUPPORT_DP             : integer := 1;
			RX_SUPPORT_GTC            : integer := 0;
			RX_SUPPORT_EDP            : integer := 0;
			RX_SUPPORT_18BPP          : integer := 1;
			RX_SUPPORT_24BPP          : integer := 1;
			RX_SUPPORT_30BPP          : integer := 0;
			RX_SUPPORT_36BPP          : integer := 0;
			RX_SUPPORT_48BPP          : integer := 0;
			RX_SUPPORT_YCBCR422_16BPP : integer := 0;
			RX_SUPPORT_YCBCR422_20BPP : integer := 0;
			RX_SUPPORT_YCBCR422_24BPP : integer := 0;
			RX_SUPPORT_YCBCR422_32BPP : integer := 0;
			RX_SUPPORT_YCBCR420_12BPP : integer := 0;
			RX_SUPPORT_YCBCR420_15BPP : integer := 0;
			RX_SUPPORT_YCBCR420_18BPP : integer := 0;
			RX_SUPPORT_YCBCR420_24BPP : integer := 0;
			RX_SUPPORT_DP             : integer := 1
		);
		port (
			aux_clk                 : in  std_logic                      := 'X';             -- clk
			aux_reset               : in  std_logic                      := 'X';             -- reset
			clk                     : in  std_logic                      := 'X';             -- clk
			clk_cal                 : in  std_logic                      := 'X';             -- clk
			reset                   : in  std_logic                      := 'X';             -- reset
			rx_analog_reconfig_req  : out std_logic;                                         -- rx_analog_reconfig_req
			rx_vod                  : out std_logic_vector(7 downto 0);                      -- rx_vod
			rx_emp                  : out std_logic_vector(7 downto 0);                      -- rx_emp
			tx_analog_reconfig_req  : out std_logic;                                         -- tx_analog_reconfig_req
			tx_analog_reconfig_ack  : in  std_logic                      := 'X';             -- tx_analog_reconfig_ack
			tx_analog_reconfig_busy : in  std_logic                      := 'X';             -- tx_analog_reconfig_busy
			tx_vod                  : out std_logic_vector(7 downto 0);                      -- tx_vod
			tx_emp                  : out std_logic_vector(7 downto 0);                      -- tx_emp
			tx_aux_in               : in  std_logic                      := 'X';             -- tx_aux_in
			tx_aux_out              : out std_logic;                                         -- tx_aux_out
			tx_aux_oe               : out std_logic;                                         -- tx_aux_oe
			tx_hpd                  : in  std_logic                      := 'X';             -- tx_hpd
			tx_aux_debug_data       : out std_logic_vector(31 downto 0);                     -- data
			tx_aux_debug_valid      : out std_logic;                                         -- valid
			tx_aux_debug_sop        : out std_logic;                                         -- startofpacket
			tx_aux_debug_eop        : out std_logic;                                         -- endofpacket
			tx_aux_debug_err        : out std_logic;                                         -- error
			tx_aux_debug_cha        : out std_logic;                                         -- channel
			tx_mgmt_address         : in  std_logic_vector(8 downto 0)   := (others => 'X'); -- address
			tx_mgmt_chipselect      : in  std_logic                      := 'X';             -- chipselect
			tx_mgmt_read            : in  std_logic                      := 'X';             -- read
			tx_mgmt_write           : in  std_logic                      := 'X';             -- write
			tx_mgmt_writedata       : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			tx_mgmt_readdata        : out std_logic_vector(31 downto 0);                     -- readdata
			tx_mgmt_waitrequest     : out std_logic;                                         -- waitrequest
			tx_mgmt_irq             : out std_logic;                                         -- irq
			tx_link_rate            : out std_logic_vector(1 downto 0);                      -- tx_link_rate
			tx_link_rate_8bits      : out std_logic_vector(7 downto 0);                      -- tx_link_rate_8bits
			tx_reconfig_req         : out std_logic;                                         -- tx_reconfig_req
			tx_reconfig_ack         : in  std_logic                      := 'X';             -- tx_reconfig_ack
			tx_reconfig_busy        : in  std_logic                      := 'X';             -- tx_reconfig_busy
			tx_vid_clk              : in  std_logic                      := 'X';             -- clk
			tx_vid_data             : in  std_logic_vector(23 downto 0)  := (others => 'X'); -- tx_vid_data
			tx_vid_v_sync           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_vid_v_sync
			tx_vid_h_sync           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_vid_h_sync
			tx_vid_de               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_vid_de
			tx_parallel_data        : out std_logic_vector(159 downto 0);                    -- tx_parallel_data
			tx_pll_powerdown        : out std_logic;                                         -- tx_pll_powerdown
			tx_analogreset          : out std_logic_vector(3 downto 0);                      -- tx_analogreset
			tx_digitalreset         : out std_logic_vector(3 downto 0);                      -- tx_digitalreset
			tx_cal_busy             : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- tx_cal_busy
			tx_std_clkout           : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- tx_std_clkout
			tx_pll_locked           : in  std_logic                      := 'X';             -- tx_pll_locked
			xcvr_mgmt_clk           : in  std_logic                      := 'X'              -- clk
		);
	end component subsys_dp_bitec_dp_0;

	u0 : component subsys_dp_bitec_dp_0
		generic map (
			TX_SUPPORT_GTC            => INTEGER_VALUE_FOR_TX_SUPPORT_GTC,
			TX_SUPPORT_18BPP          => INTEGER_VALUE_FOR_TX_SUPPORT_18BPP,
			TX_SUPPORT_24BPP          => INTEGER_VALUE_FOR_TX_SUPPORT_24BPP,
			TX_SUPPORT_30BPP          => INTEGER_VALUE_FOR_TX_SUPPORT_30BPP,
			TX_SUPPORT_36BPP          => INTEGER_VALUE_FOR_TX_SUPPORT_36BPP,
			TX_SUPPORT_48BPP          => INTEGER_VALUE_FOR_TX_SUPPORT_48BPP,
			TX_SUPPORT_YCBCR422_16BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_16BPP,
			TX_SUPPORT_YCBCR422_20BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_20BPP,
			TX_SUPPORT_YCBCR422_24BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_24BPP,
			TX_SUPPORT_YCBCR422_32BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_32BPP,
			TX_SUPPORT_YCBCR420_12BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_12BPP,
			TX_SUPPORT_YCBCR420_15BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_15BPP,
			TX_SUPPORT_YCBCR420_18BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_18BPP,
			TX_SUPPORT_YCBCR420_24BPP => INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_24BPP,
			TX_SUPPORT_DP             => INTEGER_VALUE_FOR_TX_SUPPORT_DP,
			RX_SUPPORT_GTC            => INTEGER_VALUE_FOR_RX_SUPPORT_GTC,
			RX_SUPPORT_EDP            => INTEGER_VALUE_FOR_RX_SUPPORT_EDP,
			RX_SUPPORT_18BPP          => INTEGER_VALUE_FOR_RX_SUPPORT_18BPP,
			RX_SUPPORT_24BPP          => INTEGER_VALUE_FOR_RX_SUPPORT_24BPP,
			RX_SUPPORT_30BPP          => INTEGER_VALUE_FOR_RX_SUPPORT_30BPP,
			RX_SUPPORT_36BPP          => INTEGER_VALUE_FOR_RX_SUPPORT_36BPP,
			RX_SUPPORT_48BPP          => INTEGER_VALUE_FOR_RX_SUPPORT_48BPP,
			RX_SUPPORT_YCBCR422_16BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_16BPP,
			RX_SUPPORT_YCBCR422_20BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_20BPP,
			RX_SUPPORT_YCBCR422_24BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_24BPP,
			RX_SUPPORT_YCBCR422_32BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_32BPP,
			RX_SUPPORT_YCBCR420_12BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_12BPP,
			RX_SUPPORT_YCBCR420_15BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_15BPP,
			RX_SUPPORT_YCBCR420_18BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_18BPP,
			RX_SUPPORT_YCBCR420_24BPP => INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_24BPP,
			RX_SUPPORT_DP             => INTEGER_VALUE_FOR_RX_SUPPORT_DP
		)
		port map (
			aux_clk                 => CONNECTED_TO_aux_clk,                 --            aux_clk.clk
			aux_reset               => CONNECTED_TO_aux_reset,               --          aux_reset.reset
			clk                     => CONNECTED_TO_clk,                     --                clk.clk
			clk_cal                 => CONNECTED_TO_clk_cal,                 --            clk_cal.clk
			reset                   => CONNECTED_TO_reset,                   --              reset.reset
			rx_analog_reconfig_req  => CONNECTED_TO_rx_analog_reconfig_req,  -- rx_analog_reconfig.rx_analog_reconfig_req
			rx_vod                  => CONNECTED_TO_rx_vod,                  --                   .rx_vod
			rx_emp                  => CONNECTED_TO_rx_emp,                  --                   .rx_emp
			tx_analog_reconfig_req  => CONNECTED_TO_tx_analog_reconfig_req,  -- tx_analog_reconfig.tx_analog_reconfig_req
			tx_analog_reconfig_ack  => CONNECTED_TO_tx_analog_reconfig_ack,  --                   .tx_analog_reconfig_ack
			tx_analog_reconfig_busy => CONNECTED_TO_tx_analog_reconfig_busy, --                   .tx_analog_reconfig_busy
			tx_vod                  => CONNECTED_TO_tx_vod,                  --                   .tx_vod
			tx_emp                  => CONNECTED_TO_tx_emp,                  --                   .tx_emp
			tx_aux_in               => CONNECTED_TO_tx_aux_in,               --             tx_aux.tx_aux_in
			tx_aux_out              => CONNECTED_TO_tx_aux_out,              --                   .tx_aux_out
			tx_aux_oe               => CONNECTED_TO_tx_aux_oe,               --                   .tx_aux_oe
			tx_hpd                  => CONNECTED_TO_tx_hpd,                  --                   .tx_hpd
			tx_aux_debug_data       => CONNECTED_TO_tx_aux_debug_data,       --       tx_aux_debug.data
			tx_aux_debug_valid      => CONNECTED_TO_tx_aux_debug_valid,      --                   .valid
			tx_aux_debug_sop        => CONNECTED_TO_tx_aux_debug_sop,        --                   .startofpacket
			tx_aux_debug_eop        => CONNECTED_TO_tx_aux_debug_eop,        --                   .endofpacket
			tx_aux_debug_err        => CONNECTED_TO_tx_aux_debug_err,        --                   .error
			tx_aux_debug_cha        => CONNECTED_TO_tx_aux_debug_cha,        --                   .channel
			tx_mgmt_address         => CONNECTED_TO_tx_mgmt_address,         --            tx_mgmt.address
			tx_mgmt_chipselect      => CONNECTED_TO_tx_mgmt_chipselect,      --                   .chipselect
			tx_mgmt_read            => CONNECTED_TO_tx_mgmt_read,            --                   .read
			tx_mgmt_write           => CONNECTED_TO_tx_mgmt_write,           --                   .write
			tx_mgmt_writedata       => CONNECTED_TO_tx_mgmt_writedata,       --                   .writedata
			tx_mgmt_readdata        => CONNECTED_TO_tx_mgmt_readdata,        --                   .readdata
			tx_mgmt_waitrequest     => CONNECTED_TO_tx_mgmt_waitrequest,     --                   .waitrequest
			tx_mgmt_irq             => CONNECTED_TO_tx_mgmt_irq,             --  tx_mgmt_interrupt.irq
			tx_link_rate            => CONNECTED_TO_tx_link_rate,            --        tx_reconfig.tx_link_rate
			tx_link_rate_8bits      => CONNECTED_TO_tx_link_rate_8bits,      --                   .tx_link_rate_8bits
			tx_reconfig_req         => CONNECTED_TO_tx_reconfig_req,         --                   .tx_reconfig_req
			tx_reconfig_ack         => CONNECTED_TO_tx_reconfig_ack,         --                   .tx_reconfig_ack
			tx_reconfig_busy        => CONNECTED_TO_tx_reconfig_busy,        --                   .tx_reconfig_busy
			tx_vid_clk              => CONNECTED_TO_tx_vid_clk,              --         tx_vid_clk.clk
			tx_vid_data             => CONNECTED_TO_tx_vid_data,             --        tx_video_in.tx_vid_data
			tx_vid_v_sync           => CONNECTED_TO_tx_vid_v_sync,           --                   .tx_vid_v_sync
			tx_vid_h_sync           => CONNECTED_TO_tx_vid_h_sync,           --                   .tx_vid_h_sync
			tx_vid_de               => CONNECTED_TO_tx_vid_de,               --                   .tx_vid_de
			tx_parallel_data        => CONNECTED_TO_tx_parallel_data,        --  tx_xcvr_interface.tx_parallel_data
			tx_pll_powerdown        => CONNECTED_TO_tx_pll_powerdown,        --                   .tx_pll_powerdown
			tx_analogreset          => CONNECTED_TO_tx_analogreset,          --                   .tx_analogreset
			tx_digitalreset         => CONNECTED_TO_tx_digitalreset,         --                   .tx_digitalreset
			tx_cal_busy             => CONNECTED_TO_tx_cal_busy,             --                   .tx_cal_busy
			tx_std_clkout           => CONNECTED_TO_tx_std_clkout,           --                   .tx_std_clkout
			tx_pll_locked           => CONNECTED_TO_tx_pll_locked,           --                   .tx_pll_locked
			xcvr_mgmt_clk           => CONNECTED_TO_xcvr_mgmt_clk            --      xcvr_mgmt_clk.clk
		);

